Loading...
Searching...
No Matches
gtsam::HybridNonlinearISAM Class Reference

## Detailed Description

Wrapper class to manage ISAM in a nonlinear context.

## Public Member Functions

Standard Constructors
| HybridNonlinearISAM (int reorderInterval=1, const HybridGaussianFactorGraph::Eliminate &eliminationFunction=HybridGaussianFactorGraph::EliminationTraitsType::DefaultEliminate)
| Periodically reorder and relinearize.
Standard Interface
Values | estimate ()
| Return the current solution estimate.
const HybridGaussianISAM & | bayesTree () const
| find the marginal covariance for a single variable
void | prune (const size_t maxNumberLeaves)
| Prune the underlying Bayes tree.
const Values & | getLinearizationPoint () const
| Return the current linearization point.
const DiscreteValues & | assignment () const
| Return the current discrete assignment.
const HybridNonlinearFactorGraph & | getFactorsUnsafe () const
| get underlying nonlinear graph
int | reorderInterval () const
| get counters
int | reorderCounter () const
| TODO: comment.
void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| prints out all contents of the system
void | printStats () const
| prints out clique statistics
void | saveGraph (const std::string &s, const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| saves the Tree to a text file in GraphViz format
Advanced Interface
void | update (const HybridNonlinearFactorGraph &newFactors, const Values &initialValues, const boost::optional< size_t > &maxNrLeaves=boost::none, const boost::optional< Ordering > &ordering=boost::none)
| Add new factors along with their initial linearization points.
void | reorder_relinearize ()
| Relinearization and reordering of variables.

## Protected Attributes

gtsam::HybridGaussianISAM | isam_
| The internal iSAM object.
Values | linPoint_
| The current linearization point.
DiscreteValues | assignment_
| The discrete assignment.
HybridNonlinearFactorGraph | factors_
| The original factors, used when relinearizing.
int | reorderInterval_
| The reordering interval and counter.
int | reorderCounter_
HybridGaussianFactorGraph::Eliminate | eliminationFunction_
| The elimination function.

## Constructor & Destructor Documentation

## HybridNonlinearISAM()

gtsam::HybridNonlinearISAM::HybridNonlinearISAM | ( | int | reorderInterval = 1,
|  | const HybridGaussianFactorGraph::Eliminate & | eliminationFunction = HybridGaussianFactorGraph::EliminationTraitsType::DefaultEliminate )

inline

Periodically reorder and relinearize.

Parameters

  reorderInterval | is the number of updates between reorderings, 0 never reorders (and is dangerous for memory consumption) 1 (default) reorders every time, in worse case is batch every update typical values are 50 or 100

## Member Function Documentation

## bayesTree()

const HybridGaussianISAM & gtsam::HybridNonlinearISAM::bayesTree | ( |  | ) | const

inline

find the marginal covariance for a single variable

access the underlying bayes tree

## prune()

void gtsam::HybridNonlinearISAM::prune | ( | const size_t | maxNumberLeaves | ) |

inline

Prune the underlying Bayes tree.

Parameters

  maxNumberLeaves | The max number of leaf nodes to keep.

## reorderInterval()

int gtsam::HybridNonlinearISAM::reorderInterval | ( |  | ) | const

inline

get counters

TODO: comment

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/hybrid/HybridNonlinearISAM.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/hybrid/HybridNonlinearISAM.cpp